Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.html.dom
Class HTMLTextAreaElementImpl

    java.lang.Object
      weblogic.apache.xerces.dom.NodeImpl
          weblogic.apache.xerces.dom.ChildNode
              weblogic.apache.xerces.dom.ParentNode
                  weblogic.apache.xerces.dom.ElementImpl
                      weblogic.apache.html.dom.HTMLElementImpl
                          weblogic.apache.html.dom.HTMLTextAreaElementImpl

All Implemented Interfaces:
  Cloneable, Element, EventTarget, HTMLElement, HTMLFormControl, HTMLTextAreaElement, Node, NodeList, Serializable

public class HTMLTextAreaElementImpl
extends HTMLElementImpl
implements HTMLTextAreaElement, HTMLFormControl

See Also:
  `HTMLTextAreaElement`, `ElementImpl`, Serialized Form

Field Summary

Fields inherited from class weblogic.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class weblogic.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class weblogic.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class weblogic.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, IDATTRIBUTE, IGNORABLEWS, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE, UNNORMALIZED`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`HTMLTextAreaElementImpl(HTMLDocumentImpl owner, String name)` Constructor requires owner document.

Method Summary
`void` | `blur()`
`void` | `focus()`
`String` | `getAccessKey()`
`int` | `getCols()`
`String` | `getDefaultValue()`
`boolean` | `getDisabled()`
`String` | `getName()`
`boolean` | `getReadOnly()` NON-DOM: Returns true if this node is read-only.
`int` | `getRows()`
`int` | `getTabIndex()`
`String` | `getType()`
`String` | `getValue()`
`void` | `select()`
`void` | `setAccessKey(String accessKey)`
`void` | `setCols(int cols)`
`void` | `setDefaultValue(String defaultValue)`
`void` | `setDisabled(boolean disabled)`
`void` | `setName(String name)`
`void` | `setReadOnly(boolean readOnly)`
`void` | `setRows(int rows)`
`void` | `setTabIndex(int tabIndex)`
`void` | `setValue(String value)`

Methods inherited from class weblogic.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class weblogic.apache.xerces.dom.ElementImpl
`cloneNode, getAttributes, getBaseURI, getDefaultAttributes, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttributeNode, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class weblogic.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, insertBefore, item, removeChild, replaceChild, setTextContent, synchronizeChildren`

Methods inherited from class weblogic.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class weblogic.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareTreePosition, dispatchEvent, getInterface, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getUserData, getUserData, isDefaultNamespace, isSameNode, isSupported, lookupNamespacePrefix, lookupNamespaceURI, needsSyncChildren, removeEventListener, setNodeValue, setPrefix, setUserData, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.html.HTMLTextAreaElement
`getForm`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Constructor Detail

### HTMLTextAreaElementImpl

    public HTMLTextAreaElementImpl(HTMLDocumentImpl owner,
                                   String name)

  Constructor requires owner document.

Method Detail

### blur

    public void blur()

  Specified by:
    `blur` in interface `HTMLTextAreaElement`

### focus

    public void focus()

  Specified by:
    `focus` in interface `HTMLTextAreaElement`

### getAccessKey

    public String getAccessKey()

  Specified by:
    `getAccessKey` in interface `HTMLTextAreaElement`

### getCols

    public int getCols()

  Specified by:
    `getCols` in interface `HTMLTextAreaElement`

### getDefaultValue

    public String getDefaultValue()

  Specified by:
    `getDefaultValue` in interface `HTMLTextAreaElement`

### getDisabled

    public boolean getDisabled()

  Specified by:
    `getDisabled` in interface `HTMLTextAreaElement`

### getName

    public String getName()

  Specified by:
    `getName` in interface `HTMLTextAreaElement`

### getReadOnly

    public boolean getReadOnly()

  Description copied from class: `NodeImpl`
  NON-DOM: Returns true if this node is read-only. This is a shallow check.

  Specified by:
    `getReadOnly` in interface `HTMLTextAreaElement`
  Overrides:
    `getReadOnly` in class `NodeImpl`

### getRows

    public int getRows()

  Specified by:
    `getRows` in interface `HTMLTextAreaElement`

### getTabIndex

    public int getTabIndex()

  Specified by:
    `getTabIndex` in interface `HTMLTextAreaElement`

### getType

    public String getType()

  Specified by:
    `getType` in interface `HTMLTextAreaElement`

### getValue

    public String getValue()

  Specified by:
    `getValue` in interface `HTMLTextAreaElement`

### select

    public void select()

  Specified by:
    `select` in interface `HTMLTextAreaElement`

### setAccessKey

    public void setAccessKey(String accessKey)

  Specified by:
    `setAccessKey` in interface `HTMLTextAreaElement`

### setCols

    public void setCols(int cols)

  Specified by:
    `setCols` in interface `HTMLTextAreaElement`

### setDefaultValue

    public void setDefaultValue(String defaultValue)

  Specified by:
    `setDefaultValue` in interface `HTMLTextAreaElement`

### setDisabled

    public void setDisabled(boolean disabled)

  Specified by:
    `setDisabled` in interface `HTMLTextAreaElement`

### setName

    public void setName(String name)

  Specified by:
    `setName` in interface `HTMLTextAreaElement`

### setReadOnly

    public void setReadOnly(boolean readOnly)

  Specified by:
    `setReadOnly` in interface `HTMLTextAreaElement`

### setRows

    public void setRows(int rows)

  Specified by:
    `setRows` in interface `HTMLTextAreaElement`

### setTabIndex

    public void setTabIndex(int tabIndex)

  Specified by:
    `setTabIndex` in interface `HTMLTextAreaElement`

### setValue

    public void setValue(String value)

  Specified by:
    `setValue` in interface `HTMLTextAreaElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD